# Uses of Class
java.awt.geom.Line2D

Packages that use Line2D
Package
Description
java.awt.geom
Provides the Java 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of Line2D in java.awt.geom

Subclasses of Line2D in java.awt.geom
Modifier and Type
Class
Description
`static class`
`Line2D.Double`
A line segment specified with double coordinates.
`static class`
`Line2D.Float`
A line segment specified with float coordinates.
Methods in java.awt.geom with parameters of type Line2D
Modifier and Type
Method
Description
`boolean`
Line2D.`intersectsLine(Line2D l)`
Tests if the specified line segment intersects this line segment.
`boolean`
Rectangle2D.`intersectsLine(Line2D l)`
Tests if the specified line segment intersects the interior of this `Rectangle2D`.
`void`
Line2D.`setLine(Line2D l)`
Sets the location of the end points of this `Line2D` to the same as those end points of the specified `Line2D`.